summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/syntax/syntax-1.2.2.ebuild')
-rw-r--r--dev-ruby/syntax/syntax-1.2.2.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-ruby/syntax/syntax-1.2.2.ebuild b/dev-ruby/syntax/syntax-1.2.2.ebuild
new file mode 100644
index 00000000000..00c37f66849
--- /dev/null
+++ b/dev-ruby/syntax/syntax-1.2.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Syntax highlighting for sourcecode and HTML"
+HOMEPAGE="https://github.com/dblock/syntax"
+SRC_URI="https://github.com/dblock/syntax/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test doc"
+
+ruby_add_bdepend "doc? ( dev-ruby/rdoc )"
+
+all_ruby_prepare() {
+ # Remove manual doc since it can not longer be build and it blocks default rdoc recipe.
+ rm -rf doc || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/ALL-TESTS.rb || die
+}